%define pkgver %(echo %version | tr "~" -)
Name:          libnet
Version:       1.3
Release:       1mamba
Summary:       High-level API to construct and inject network packets
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libnet/libnet
Source:        https://github.com/libnet/libnet/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:        %{name}-1.1.4-cross_configure_endianess.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Libnet is a high-level API (toolkit) allowing the application programmer to construct and inject network packets.
It provides a portable and simplified interface for low-level network packet shaping, handling and injection.
Libnet hides much of the tedium of packet creation from the application programmer such as multiplexing, buffer management, arcane packet header information, byte-ordering, OS-dependent issues, and much more.
Libnet features portable packet creation interfaces at the IP layer and link layer, as well as a host of supplementary and complementary functionality.
Using libnet, quick and simple packet assembly applications can be whipped up with little effort. With a bit more time, more complex programs can be written.

%package devel
Summary:       High-level API to construct and inject network packets
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libnet is a high-level API (toolkit) allowing the application programmer to construct and inject network packets.
It provides a portable and simplified interface for low-level network packet shaping, handling and injection.
Libnet hides much of the tedium of packet creation from the application programmer such as multiplexing, buffer management, arcane packet header information, byte-ordering, OS-dependent issues, and much more.
Libnet features portable packet creation interfaces at the IP layer and link layer, as well as a host of supplementary and complementary functionality.
Using libnet, quick and simple packet assembly applications can be whipped up with little effort. With a bit more time, more complex programs can be written.
This package contains the static library and headers for development.

%debug_package

%prep
%setup -q -n libnet-%{pkgver}

%build
%configure \
%if "%{_host}" != "%{_build}"
ac_libnet_have_pf_packet=yes \
ac_cv_lbl_unaligned_fail=no \
ac_cv_libnet_endianess=lil
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%makeinstall

#install -d -m755 %{buildroot}%{_mandir}/man3/
#install -m644 doc/man/man3/libnet-functions.h.3 \
#   %{buildroot}%{_mandir}/man3/libnet.3
#install -D -m755 libnet-config  %{buildroot}%{_bindir}/libnet-config

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libnet.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%{_bindir}/libnet-config
%{_includedir}/libnet.h
%dir %{_includedir}/libnet
%{_includedir}/libnet/libnet-*.h
%{_libdir}/libnet.so
%{_libdir}/libnet.a
%{_mandir}/man3/libnet*.3*
%dir %{_docdir}/libnet
%{_docdir}/libnet/*
%{_libdir}/pkgconfig/libnet.pc
%{_mandir}/man1/libnet-config.1*

%changelog
* Sun Oct 08 2023 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- update to 1.2

* Sat Aug 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2~rc3-1mamba
- update to 1.2~rc3

* Sat May 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.6-2mamba
- rebuilt in /usr

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- update to 1.1.6

* Tue May 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.4-1mamba
- update to 1.1.4
- switched to maintained libnet-dev project from sourceforge
- added libnet binary package with shared library

* Fri Jun 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2.1-2mamba
- source renamed from libnet-devel to libnet

* Fri Jul 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.2.1-1qilnx
- update to version 1.1.2.1 by autospec

* Mon Feb 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.1.1-1qilnx
- first build
